<?php
	error_reporting(0);
	
	include("globals.php");
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>CrewCommCenter Vessel System Management</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style>
body
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	
	background: url(<?php echo $GLOBALS['plugFilePath']; ?>/img/bg1.png) no-repeat; 
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
}

div, table, tr, td
{
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
}

#shipconfig{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 800px;
    margin-left: -275px;
}

#mainmediaviewmm{
	border-radius:10px;
	background-color: #e3e3e3;
	box-shadow: 5px 5px 1px #346585;
	
	position:absolute; left: 50%; top: 20%; width: 250px;
    margin-left: -545px;
}

input { 
	font-family:Verdana, Geneva, sans-serif;
	font-size:14px;
	color: black;
	padding: 4px;
}

#cccline{
	margin: 0;
  	display: inline-block;
    position: absolute;
    top: 10%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 270px;
    vertical-align:top;
    -webkit-background-size: cover;
}

#ccctext{
	-webkit-background-size: cover;
	margin: 0;
  display: inline-block;
    position: absolute;
    top: 14%;
    left: 49.5%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 300px;
    vertical-align:top;
}

a:link {
    color: #000000;
	text-decoration: none;
}
a:visited {
    color: #000000;
	text-decoration: none;
}
a:hover {
    color: #00F;
	text-decoration: none;
}
a:active {
    color: #000000;
	text-decoration: none;
}


.table-bordered table, .table-bordered td, .table-bordered tr {
    text-align: left;
}
.table-bordered table {
    border-collapse: collapse;
    width: 100%;
}
.table-bordered tr, .table-bordered td {
    padding: 5px;
}
.table-bordered td {
    border-bottom: 1px solid #ccc;
	border-left: 1px solid #ccc;
    padding: 5px;
}

.SatComListTblcls a
{
    display:block;
    text-decoration:none;
}
</style>
<script type="text/javascript" src="<?php echo $GLOBALS['plugFilePath']; ?>/script/jquery.min.js"></script>
<script language="javascript">

<?php $cccStat = getCCCSetting(); ?>

var currDNSIP = '<?php echo $cccStat; ?>';
function saveCCCStat() {
	var noerror = true;
	var dhost = 'http://<?php echo (($_SERVER['SERVER_ADDR'] == "::1")?"192.168.32.1":$_SERVER['SERVER_ADDR']); ?>/cgi-bin/serv.php';
	//var dhost = 'http://localhost/smscrewmail/mailparser/production/serverfiles/management/serv.php';
	
	$("#loading").fadeIn(200);
	$("#loadingmsgholder").fadeIn(200);
	$("#loadingmsg").html("Updating CrewCommCenter Captive Portal setting. Please wait.");
	
	var setCCCStat = ((currDNSIP == "0")?"1":"0");
	var requestprevconfig;
	requestprevconfig = $.ajax({
		url: dhost,
		type: "post",
		data: { act: '10', cccStat: setCCCStat },
		timeout: 30000
	});

	requestprevconfig.done(function (response, textStatus, jqXHR){
		if (noerror) {
			try {
				
				currDNSIP = ((currDNSIP == "0")?"1":"0");
				document.getElementById('currsettings').innerHTML = 'CrewCommCenter Captive Portal currently&nbsp;<b>' + ((currDNSIP == "0")?"deactivated":"active") + '</b>';
				
				document.getElementById('activateDeactivateBtn').value= ((currDNSIP == "0")?"Activate":"Deactivate") + " Captive Portal";
			
			} catch (e) {}
		}
	});

	requestprevconfig.fail(function (jqXHR, textStatus, errorThrown){
		noerror = false;
	});

	requestprevconfig.always(function () {
		requestprevconfig = null;
		
		$("#loading").fadeOut(500);
		$("#loadingmsgholder").fadeOut(500);
	});
}

</script>
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">

<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/cccline.png" id="cccline" width="280" height="40">
<img src="<?php echo $GLOBALS['plugFilePath']; ?>/img/ccctext.png" id="ccctext" >
<table width="800" id="shipconfig" border="0" cellspacing="0" cellpadding="8" align="center">
  <tr><td bgcolor="#464B4F" style="border-top-left-radius:10px;border-top-right-radius:10px;" colspan="2" align="center"><font color="#FFFFFF"><B>CrewCommCenter Captive Portal</B></font></td></tr>
  <tr><td width="273" height="10" align="center"></td></tr>
  <tr><td colspan="2">
  <div class="system-info">
        <div class="system-info__contents">
          <div class="row-fluid">
            <div class="col-md-4">
              <div class="system-info-features" >
                <table style="width:100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td style="padding:10px 0;">
                    <p id="currsettings">
                    CrewCommCenter Captive Portal currently&nbsp;<b><?php echo ($cccStat=="0"?"deactivated":"active"); ?></b>
                    </p>
                    </td>
                </tr>
                <tr>
                    <td style="padding:10px 0;">
                    <input type="button" id="activateDeactivateBtn" value="<?php echo ($cccStat=="0"?"Activate":"Deactivate"); ?> Captive Portal" class="button-tab" onClick="saveCCCStat();" style="width:250px">
                    </td>
                </tr>
                </table>
              </div>
            </div>
          </div>
          <div class="clearfix"></div>
          <!-- dynamic -->
        </div>
    </div>
  </td></tr>
  <tr><td height="10" align="center"></td></tr>
</table>

<table id="configtable" style="table-layout: fixed; width: 800" border="0" cellspacing="5" cellpadding="5" align="center">

</table><BR><BR>

<?php include "mm.php"; ?>

</body>
</html>
<div id="loadSatComList" class="SatComListTblcls" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table id="SatComListTbl" style="width:450; border:1px solid #000000 " border="0" cellspacing="2" cellpadding="2" bgcolor="#FFFFFF">
        <tr><td align="center" colspan="2" style="padding:5px 0;">
        <table style="width:100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="96%" align="center"><strong>&nbsp;&nbsp;SatCom Terminals</strong></td>
                <td width="4%"><a href="javascript:;" onClick="selectSATCOMClose()">X</a></td>
            </tr>
        </table>
        </td></tr>
        <!--<tr>
        	<td width="65%">
            	<a href="javascript:;" onClick="setSatComSelection('Cobham sailor:192.168.0.1');">Cobham sailor</a>
            <td>
            	<a href="javascript:;" onClick="setSatComSelection('Cobham sailor:192.168.0.1');">192.168.0.1</a>
            </td>
        </tr>
        <tr>
        	<td>
            	<a href="javascript:;" onClick="setSatComSelection('JRC:192.168.128.100');">JRC</a>
            <td>
            	<a href="javascript:;" onClick="setSatComSelection('JRC:192.168.128.100');">192.168.128.100</a>
            </td>
        </tr>
        <tr>
        	<td>
            	<a href="javascript:;" onClick="setSatComSelection('Addvalue Skipper 150/Satlink 250:192.168.1.35');">Addvalue&nbsp;Skipper&nbsp;150/Satlink&nbsp;250</a>
            <td>
            	<a href="javascript:;" onClick="setSatComSelection('Addvalue Skipper 150/Satlink 250:192.168.1.35');">192.168.1.35</a>
            </td>
        </tr>
        <tr>
        	<td>
            	<a href="javascript:;" onClick="setSatComSelection('Furuno Felcom 500:192.168.1.1');">Furuno Felcom 500</a>
            <td>
            	<a href="javascript:;" onClick="setSatComSelection('Furuno Felcom 500:192.168.1.1');">192.168.1.1</a>
            </td>
        </tr>-->
        
        <?php
        	$dnslistArr = explode("|", 	$dnslist);
			for ($i=0; $i<count($dnslistArr); $i++) {
				$dnsdetailsArr = explode(":", $dnslistArr[$i]);
				echo '<tr>
					<td width="65%">
					<a href="javascript:;" onClick="setSatComSelection(\'' . str_replace(" ", "&nbsp;", $dnslistArr[$i]) . '\');">' . str_replace(" ", "&nbsp;", $dnsdetailsArr[0]) . '</a>
					<td><a href="javascript:;" onClick="setSatComSelection(\'' . str_replace(" ", "&nbsp;", $dnslistArr[$i]) . '\');">' . $dnsdetailsArr[1] . '</a></td>
					</tr>';
			}
		?>
        <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
    </table>
</div>

<div id="loadingmsgholder" style="display: none; position:absolute; left: 50%; top: 50%; width: 450px;
    margin-left: -225px; top: 30%; z-index: 105;
    box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -mox-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 2px 15px rgba(0,0,0,0.2);
    "
    align="center">
    <table width="450" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF"
      style="font-family:Arial, sans-serif; font-size:14px; color:#111">
      <tr>
        <td width="18">&nbsp;</td>
        <td width="363">&nbsp;</td>
        <td width="19">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="center">
        <span id="loadingmsg">Loading... Your request is being processed, please wait.</span>
        </td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
</div>
<div id="loading" style="display: none;height:100%;width:100%;position:fixed;
    left:0;top:0;z-index:101 !important;background-color:#062544;
    filter: alpha(opacity=0); /* internet explorer */
    -khtml-opacity: 0;      /* khtml, old safari */
    -moz-opacity: 0;       /* mozilla, netscape */
    opacity: 0;           /* fx, safari, opera */
    ">
</div>